## com.google.javascript.jscomp.jsonml
Class Writer

    java.lang.Object
      com.google.javascript.jscomp.jsonml.Writer

    public class Writer

extends Object

Converts internal AST into JsonML tree.

Constructor Summary
`Writer()`

Method Summary
`JsonML` | `processAst(Node root)` Creates JsonML tree based on a specified AST.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Writer

    public Writer()

Method Detail

### processAst

    public JsonML processAst(Node root)

  Creates JsonML tree based on a specified AST.

  Parameters:
    `root` - AST node
  Returns:
    root of a created JsonML tree